# Get 'RetroactiveApartmentRevenueProposal'

Endpoint: GET /revenue/retroactivity/retroactiveapartmentrevenueproposal/{pk}/
Version: 2.0.0
Security: customer_id, application_id, service_id, service_version_id, client_ct, client_object_id, client_secret

## Path parameters:

  - `pk` (string, required)

## Response 200 fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `id` (string, required)
    **Additional Validation Information:**
Must be unique

  - `custom_id` (string)

  - `created_at` (string)

  - `unit_amount` (number, required)

  - `unit_price` (number, required)

  - `original_retroactivity_method` (integer)
    **Additional Validation Information:**
Enum Descriptions:
* `1` - Mirrored
* `2` - Mirrored Contract Blocked
* `3` - Mirrored Contract Blocked Sensitive
* `4` - First Opportunity
* `5` - Last Opportunity
* `6` - Spread Even
* `7` - Fixed
* `8` - Fixed Contract Blocked
* `9` - Fixed Contract Blocked Sensitive
* `10` - Spread On Limits
    Enum: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10

  - `start_date` (string, required)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `end_date`

  - `end_date` (string, required)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `start_date`

  - `adjusted_period_start` (string, required)

  - `adjusted_period_end` (string, required)

  - `additional_title_suffix` (string)

  - `accepted` (boolean)

  - `based_on_space_revenue` (object)

  - `based_on_space_revenue.id` (string)

  - `based_on_contract_revenue` (object)

  - `based_on_contract_revenue.id` (string)

  - `target_contract` (object, required)

  - `target_contract.id` (string)

  - `is_unaccepted_with_existing_revenue_row` (any)

